Bug 170962 - USB MIDI device not recognized at boot
USB MIDI device not recognized at boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 09:40 EDT by Anthony Green
Modified: 2014-06-13 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.14-1.1637_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 19:04:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2005-10-16 09:40:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
I have a USB MIDI device.

When I boot my system with it plugged in, I don't get any MIDI devices in /dev/snd.  I need to unplug it and plug it back in before I'll see /dev/snd/midiC1D0.

This also creates /dev/snd/midi1.  Is this the OSS version of the device?  Shouldn't it be /dev/midi1 (which doesn't exist)?




Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1456_FC4

How reproducible:
Always

Steps to Reproduce:
1.With computer off, plug USB MIDI keyboard in
2.Boot computer, look for MIDI devices
3.
  

Additional info:
Comment 1 Dave Jones 2005-11-10 16:54:19 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 2 Anthony Green 2005-11-14 19:04:27 EST
(In reply to comment #1)
> Mass update to all FC4 bugs:
> 
> An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
> kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
> previous kernel, it's possible your bug has been fixed already.
> 
> Please retest with this update, and update this bug if necessary.

Retested, and it works now.

Thanks, AG

Note You need to log in before you can comment on or make changes to this bug.